GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- e
- i
- m
- n
- o
- p
- r
- s
- x
- y
- z

### - a -

- arg : geos::operation::GeometryGraphOperation

### - c -

- CLOCKWISE : geos::algorithm::Angle
- coord : geos::noding::SegmentNode
- COUNTERCLOCKWISE : geos::algorithm::Angle

### - d -

- DEFAULT_MITRE_LIMIT : geos::operation::buffer::BufferParameters
- DEFAULT_QUADRANT_SEGMENTS : geos::operation::buffer::BufferParameters
- deStar : geos::planargraph::Node
- dirEdge : geos::planargraph::Edge

### - e -

- edgeMap : geos::geomgraph::EdgeEndStar
- ENDPOINT_BOUNDARY_RULE : geos::algorithm::BoundaryNodeRule
- envelope : geos::geom::Geometry

### - i -

- INSIDE_AREA : geos::operation::distance::GeometryLocation
- isMarkedVar : geos::planargraph::GraphComponent
- isVisitedVar : geos::planargraph::GraphComponent
- items : geos::index::quadtree::NodeBase

### - m -

- maximumPreciseValue : geos::geom::PrecisionModel
- MIN_BINARY_EXPONENT : geos::index::quadtree::IntervalSize
- MINIMUM_VALID_SIZE : geos::geom::LinearRing
- MOD2_BOUNDARY_RULE : geos::algorithm::BoundaryNodeRule
- MONOVALENT_ENDPOINT_BOUNDARY_RULE : geos::algorithm::BoundaryNodeRule
- MULTIVALENT_ENDPOINT_BOUNDARY_RULE : geos::algorithm::BoundaryNodeRule

### - n -

- NONE : geos::algorithm::Angle

### - o -

- OGC_SFS_BOUNDARY_RULE : geos::algorithm::BoundaryNodeRule

### - p -

- p1 : geos::geom::LineSegment
- pt : geos::planargraph::Node

### - r -

- requireSomePointInInterior : geos::geom::prep::AbstractPreparedPolygonContains

### - s -

- segInt : geos::noding::SinglePassNoder
- segmentIndex : geos::noding::SegmentNode
- subnode : geos::index::bintree::NodeBase , geos::index::quadtree::NodeBase

### - x -

- x : geos::geom::Coordinate

### - y -

- y : geos::geom::Coordinate

### - z -

- z : geos::geom::Coordinate